| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreProgramHelper Class Reference

safely manages QoreProgram objects; note the the destructor will block until all background threads in the qore library terminate and until the current QoreProgram terminates More...

`#include <QoreProgram.h>`

## Public Member Functions
DLLEXPORT | QoreProgramHelper (ExceptionSink &xs)
| creates the QoreProgram object: DEPRECATED: use QoreProgramHelper(int64, ExceptionSink&) instead
DLLEXPORT | QoreProgramHelper (int64 parse_options, ExceptionSink &xs)
| creates the QoreProgram object and sets the parse options
DLLEXPORT | ~QoreProgramHelper ()
| waits until all background threads in the Qore library have terminated and until the QoreProgram object is done executing and then dereferences the object More...
DLLEXPORT QoreProgram * | operator* ()
| returns the QoreProgram object being managed
DLLEXPORT QoreProgram * | operator-> ()
| returns the QoreProgram object being managed

## Detailed Description

safely manages QoreProgram objects; note the the destructor will block until all background threads in the qore library terminate and until the current QoreProgram terminates

not useful in embedded code due to the fact that the destructor blocks until all background threads in the entire qore library terminate

## Constructor & Destructor Documentation

## ◆ ~QoreProgramHelper()

DLLEXPORT QoreProgramHelper::~QoreProgramHelper | ( |  | ) |

waits until all background threads in the Qore library have terminated and until the QoreProgram object is done executing and then dereferences the object

QoreProgram objects are deleted when there reference count reaches 0.

The documentation for this class was generated from the following file:

- include/qore/QoreProgram.h